#[macro_use] extern crate log;
extern crate env_logger;

use log::Level;
use std::env;

fn main() {
    env_logger::init();

    debug!("DEBUG MACRO: {}", "My message!");
    error!("Error messages are printed by default!");

    if log_enabled!(Level::Info) {
        let args: Vec<String> = env::args().collect();
        info!("Number of arguments: {}", args.len());
    }
}
